Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6168 - Unplugging devices (keyboard, mouse, printer)
Summary: Unplugging devices (keyboard, mouse, printer)
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-21 00:22 UTC by admin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-19 15:39:51 UTC


Attachments (Terms of Use)

Description admin 1999-10-21 00:22:05 UTC
I am having the following problem;



Keyboard and mouse work fine on boot up, but if I unplug the
keyboard and plug it back it, the keyboard is not
recognized and a hard reboot must occur.  With the mouse I
must exit X and restart for the mouse to become active
again.  A simliar problem occurs with the printer if it is
shut off and turned back on again, it is not recognized.



Seems to be an error re-detecting devices once they have
been unplugged and plugged back in.

On a side note, I think this might be related to the problem
of printer ports not being detected (bug #5540)

Comment 1 Michael K. Johnson 1999-11-19 15:39:59 UTC
Some machines simply do not like this.  This isn't a Linux problem;
I've plugged and unplugged keyboards and mice with no problem, though
I do it sparingly because I've been told that it can damage some hardware
if you get unlucky.  Perhaps you got unlucky?  I also turn my printer
on and off and on and off.

This is not related to bug 5540.

Comment 2 Brent R Brian 2000-01-09 18:07:59 UTC
I had this problem with "intelligent" devices, once I went back to a simple
mouse and keyboard, no more problems.

I use a switch box on the system and switch to/fro all the time now without
problem.

(Gateway2000 Anykey keyboard and AOpen serial mouse).

B


Note You need to log in before you can comment on or make changes to this bug.